/*###### STYLESHEET FÜR DIE INFORMATIONSTEXTE UND -BUTTONS ######*/

/*Informationsbutton als Bild: Größe und Position*/
.info-button {
    position: relative;
    display: inline-flex;
    justify-content: flex-start;
    vertical-align: top;
    width: var(--size-information);
    height: var(--size-information);
    /*Maus wird zu einer Hand*/
    cursor: pointer;
}

/*Informationstexte: Größe, Position und Farbe*/
.info-button .extra-info {
    /*im default nicht sichtbar*/
    visibility: hidden;
    width: 200px;
    max-height: 200px;
    font-size: small;

    background-color: white;
    color: var(--grau);

    /*Rand um den Text*/
    border-radius: 0.5em;
    box-shadow: var(--schatten-u-r);
    /*Linksbündig*/
    text-align: left;

    /*Scrollbar und Scrollfunktion für Firefox*/
    overflow-y: auto;
    scrollbar-width: thin;

    /*Position des Textes*/
    position: absolute;
    z-index: 100;
    padding: 0.5vw;
}


/*Scrollbar für Edge, Chrome, Safari*/
.info-button .extra-info::-webkit-scrollbar {
    width: 0.6vw;
}

.info-button .extra-info::-webkit-scrollbar-track {
    margin-top: 1vw;
    margin-bottom: 1vw;
    background: var(--scroll-track);
    border-radius: 0.2vw;
}

.info-button .extra-info::-webkit-scrollbar-thumb {
    background: var(--scroll-thumb);
    border-radius: 0.2vw;
}

.info-button .extra-info::-webkit-scrollbar-thumb:hover {
    background: var(--accent-color);
}



/*Informationstext wird sichtbar, wenn über das I gehovert wird*/
.info-button:hover .extra-info {
    visibility: visible;
}

/*Informationstext wird sichtbar, wenn das I angeklickt wird*/
.info-button:focus .extra-info {
    visibility: visible;
}






/*Individuelle Einstellungen der einzelnen Buttons*/
/*Einstellung für das I bei der Überschrift*/
#info-button-ueberschrift {
    vertical-align: text-top;
}

/*Einstellung für das I bei den Kategorien*/
#info-button-kategorien {
    vertical-align: top;
}

/*Einstellung für das I bei den Maßnahmen*/
#info-button-massnahmen {
    display: flex;
    justify-content: flex-end;
    justify-self: end;
    grid-row-start: 3;
    grid-row-end: 3;
    z-index: -1;
}

/*Einstellung für das I bei den Priorisierungen*/
#info-button-priorisierung {
    justify-content: flex-start;
    justify-self: end;
    bottom: 5px;
}


/*Individuelle Einstellungen für die Informationstexte*/
/*Einstellung für den Text bei der Überschrift*/
#extra-info-ueberschrift {
    margin-left: var(--size-information);
    white-space: normal;

}

/*Einstellung für den Text bei den Kategorien*/
#extra-info-kategorien {
    margin-left: var(--size-information);
    position: fixed;

}

/*Einstellung für den Text bei den Maßnahmen*/
#extra-info-massnahmen {
    margin-right: var(--size-information);
}

/*Einstellung für den Text bei den Priorisierungen*/
#extra-info-priorisierung {
    margin-left: var(--size-information);
    white-space: normal;
}